package com.wtkj.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.wtkj.entity.Task;
import com.wtkj.vo.MyTaskStatistics;
import org.springblade.core.mp.base.BaseService;

import java.util.List;

/**
 * @author Blizzard
 * @create at 2023-09-15 15:18
 * @describe
 */
public interface ITaskService extends BaseService<Task> {
	boolean submit(Task task);

	IPage<Task> projectTaskPage(Long projectId, IPage<Task> page);

	boolean uploadFile(Long taskId, String ids);

	boolean moveFile(Long stageId, Long folderId, String fileIds);

	boolean deleteFile(String ids);

	IPage<Task> myTaskPage(Integer type, Integer isGroup, Integer year, Integer month, IPage<Task> page);

	MyTaskStatistics myTaskStatistics(Integer year, Integer month);

	List<Task> listByUser(Long userId, Integer year, Integer month);

	boolean deleteTask(List<Long> taskIds);
}
